#!/bin/bash
# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-06-17; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.installer.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.installer
# SPDX-Security-Contact: security@coresecret.eu

guard_sourcing

#######################################
# TODO: Implement this function
# Globals:
#   TARGET
# Arguments:
#   None
# Returns:
#   0: on success
#######################################
minimal_checks() {
  declare var_bin

  : >| "${DIR_LOG}/fstab.verify.log"
  chmod 0600 "${DIR_LOG}/fstab.verify.log"

  do_in_target_script "${TARGET}" "systemd-analyze verify /etc/fstab >> ${DIR_LOG}/fstab.verify.log 2>&1"
  rc="$?"

  if (( rc == 0 )); then

    do_log "info" "file_only" "4040() '/etc/fstab' verified successfully with systemd-analyze."

  else

    do_log "warning" "file_only" "4040() '/etc/fstab' verification returned errors, see '${DIR_LOG}/fstab.verify.log'."

  fi

  guard_dir && return 0
}
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
